#pragma once

#include "stdafx.h"

using namespace std;

BOOL SaveSettings(HWND hSettings)
{
	if (debugging == 1) Debug << L"SaveSettings Fired" << endl;
	wstring Registry_Key = L"Replace\\ProgramSettings\\";

	TCHAR dwData[255];
	DWORD dwDisp;

	int check = RegCreateKeyEx(HKEY_CURRENT_USER, Registry_Key.c_str(), 0, NULL, REG_OPTION_NON_VOLATILE, KEY_WRITE, NULL, &hk, &dwDisp);

	if (check == 0) 
	{
		if (debugging == 1) Debug << L"SaveSettings reg checked good" << endl;

		wchar_t RecurseFileName[255];
		GetDlgItemText(hSettings,IDC_RECURSE_FOLDER,RecurseFileName,255);
		RegSetValueEx(hk, L"File Name",  0, REG_SZ, (LPBYTE)RecurseFileName, 255);

		if (SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME2, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			rename_or_place = 1;
		} else if (SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			rename_or_place = 0;
		}
		swprintf_s( dwData, 255, L"%d", rename_or_place );
		RegSetValueEx(hk, L"Rename or Replace?", 0, REG_DWORD, (PBYTE)&dwData, sizeof(PDWORD));
		

		if (SendDlgItemMessage(hSettings, IDC_ALL_IN_FOLDER, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			all_files_in_folder = 1;
		} else {
			all_files_in_folder = 0;
		}
		if (debugging == 1) Debug << L"SaveSettings before swprintf_s" << endl;
		swprintf_s( dwData, 255, L"%d", all_files_in_folder );

		if (debugging == 1) Debug << L"SaveSettings after swprintf_s" << endl;
		RegSetValueEx(hk, L"All Files In Folder?", 0, REG_DWORD, (PBYTE)&dwData, sizeof(PDWORD));

		if (SendDlgItemMessage(hSettings, IDC_RECURSE, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			recurse_subfolders = 1;
		} else {
			recurse_subfolders = 0;
		}
		swprintf_s( dwData, 255, L"%d", recurse_subfolders );
		RegSetValueEx(hk, L"Recurse Sub-Folders?", 0, REG_DWORD, (PBYTE)&dwData, sizeof(PDWORD));

		if (SendDlgItemMessage(hSettings, IDC_NEW_FILE, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			new_file = 1;
		} else {
			new_file = 0;
		}
		swprintf_s( dwData, 255, L"%d", new_file );
		RegSetValueEx(hk, L"New File(s)?", 0, REG_DWORD, (PBYTE)&dwData, sizeof(PDWORD));

		if (SendDlgItemMessage(hSettings, IDC_CASE_SENSITIVE, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			case_sensitive = 1;
		} else {
			case_sensitive = 0;
		}
		swprintf_s( dwData, 255, L"%d", case_sensitive );
		RegSetValueEx(hk, L"Case Sensitive?", 0, REG_DWORD, (PBYTE)&dwData, sizeof(PDWORD));

		wchar_t RenameRecurseFileName[255];
		GetDlgItemText(hSettings,IDC_RENAME_FOLDER,RenameRecurseFileName,255);
		RegSetValueEx(hk, L"Rename File Name",  0, REG_SZ, (LPBYTE)RenameRecurseFileName, 255);

		if (SendDlgItemMessage(hSettings, IDC_ALL_IN_FOLDER_RENAME, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			rename_all_files_in_folder = 1;
		} else {
			rename_all_files_in_folder = 0;
		}
		if (debugging == 1) Debug << L"SaveRenameSettings before swprintf_s" << endl;
		swprintf_s( dwData, 255, L"%d", rename_all_files_in_folder );
		if (debugging == 1) Debug << L"SaveRenameSettings after swprintf_s" << endl;
		RegSetValueEx(hk, L"Rename All Files In Folder?", 0, REG_DWORD, (PBYTE)&dwData, sizeof(PDWORD));

		if (SendDlgItemMessage(hSettings, IDC_RECURSE_RENAME, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			rename_recurse_subfolders = 1;
		} else {
			rename_recurse_subfolders = 0;
		}
		swprintf_s( dwData, 255, L"%d", rename_recurse_subfolders );
		RegSetValueEx(hk, L"Rename Recurse Sub-Folders?", 0, REG_DWORD, (PBYTE)&dwData, sizeof(PDWORD));

		if (SendDlgItemMessage(hSettings, IDC_CASE_SENSITIVE_RENAME, BM_GETCHECK, 0, 0) == BST_CHECKED) {
			rename_case_sensitive = 1;
		} else {
			rename_case_sensitive = 0;
		}
		swprintf_s( dwData, 255, L"%d", rename_case_sensitive );
		RegSetValueEx(hk, L"Rename Case Sensitive?", 0, REG_DWORD, (PBYTE)&dwData, sizeof(PDWORD));
	}
	RegCloseKey(hk);
	if (debugging == 1) Debug << L"SaveSettings Completed" << endl;
   return 1;
}

int LoadSettings(HWND hSettings)
{
	if (debugging == 1) Debug << L"LoadSettings Fired" << endl;
	wstring Registry_Key = L"Replace\\ProgramSettings\\";

	wchar_t StrFileName[255];
	char IntAllInFolder[255],RecurseFolders[255],NewFile[255],CaseSensitive[255],ReplaceorRename[255];
	DWORD String_Registry = REG_SZ;
	DWORD DWStrTextFileName = 255;
	DWORD DWStrFileName = 255;
	DWORD DWIntAllInFolder = 255;
	DWORD DWRecurseFolders = 255;
	DWORD DWNewFile = 255;
	DWORD DWCaseSensitive = 255;
	int Replace_or_Rename = -1;
	if (debugging == 1) Debug << L"LoadSettings Before reg" << endl;
	int check = RegOpenKeyEx(HKEY_CURRENT_USER, Registry_Key.c_str(), 0, KEY_QUERY_VALUE, &hk);
	if (debugging == 1) Debug << L"LoadSettings After reg" << endl;
	if (check == 0) {
		if (debugging == 1) Debug << L"LoadSettings reg good" << endl;
		
		RegQueryValueEx(hk, L"Rename or Replace?", NULL, NULL, (LPBYTE)ReplaceorRename, &DWIntAllInFolder);
		if (CharArray2Int(ReplaceorRename) == 1) {
			SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME2, BM_SETCHECK, BST_CHECKED, 0);
			SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME, BM_SETCHECK, BST_UNCHECKED, 0);
			Replace_or_Rename = 1;
		} else {
			SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME, BM_SETCHECK, BST_CHECKED, 0);
			SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME2, BM_SETCHECK, BST_UNCHECKED, 0);
			Replace_or_Rename = 0;
		}

		RegQueryValueEx(hk, L"File Name", NULL, &String_Registry, (LPBYTE)StrFileName, &DWStrFileName);
		SetDlgItemText(hSettings,IDC_RECURSE_FOLDER,StrFileName);

		RegQueryValueEx(hk, L"All Files In Folder?", NULL, NULL, (LPBYTE)IntAllInFolder, &DWIntAllInFolder);
		if (CharArray2Int(IntAllInFolder) == 1) {
			SendDlgItemMessage(hSettings, IDC_ALL_IN_FOLDER, BM_SETCHECK, BST_CHECKED, 0);
			all_files_in_folder = 1;
		}

		RegQueryValueEx(hk, L"Recurse Sub-Folders?", NULL, NULL, (LPBYTE)RecurseFolders, &DWRecurseFolders);
		if (CharArray2Int(RecurseFolders) == 1) {
			SendDlgItemMessage(hSettings, IDC_RECURSE, BM_SETCHECK, BST_CHECKED, 0);
			recurse_subfolders = 1;
		}

		RegQueryValueEx(hk, L"New File(s)?", NULL, NULL, (LPBYTE)NewFile, &DWNewFile);
		if (CharArray2Int(NewFile) == 1) {
			SendDlgItemMessage(hSettings, IDC_NEW_FILE, BM_SETCHECK, BST_CHECKED, 0);
			new_file = 1;
		}

		RegQueryValueEx(hk, L"Case Sensitive?", NULL, NULL, (LPBYTE)CaseSensitive, &DWCaseSensitive);
		if (CharArray2Int(CaseSensitive) == 1) {
			SendDlgItemMessage(hSettings, IDC_CASE_SENSITIVE, BM_SETCHECK, BST_CHECKED, 0);
			case_sensitive = 1;
		}
		RegQueryValueEx(hk, L"Rename File Name", NULL, &String_Registry, (LPBYTE)StrFileName, &DWStrFileName);
		SetDlgItemText(hSettings,IDC_RENAME_FOLDER,StrFileName);

		RegQueryValueEx(hk, L"Rename Recurse Sub-Folders?", NULL, NULL, (LPBYTE)RecurseFolders, &DWRecurseFolders);
		if (CharArray2Int(RecurseFolders) == 1) {
			SendDlgItemMessage(hSettings, IDC_RECURSE_RENAME, BM_SETCHECK, BST_CHECKED, 0);
			rename_recurse_subfolders = 1;
		}

		RegQueryValueEx(hk, L"Rename Case Sensitive?", NULL, NULL, (LPBYTE)CaseSensitive, &DWCaseSensitive);
		if (CharArray2Int(CaseSensitive) == 1) {
			SendDlgItemMessage(hSettings, IDC_CASE_SENSITIVE_RENAME, BM_SETCHECK, BST_CHECKED, 0);
			rename_case_sensitive = 1;
		}
	} else {
		//SetDlgItemText(hSettings,IDC_RENAME_FOLDER_BROWSE,L"Select A File");
		SendDlgItemMessage(hSettings, IDC_ALL_IN_FOLDER_RENAME, BM_SETCHECK, BST_UNCHECKED, 0);
		SendDlgItemMessage(hSettings, IDC_RECURSE_RENAME, BM_SETCHECK, BST_UNCHECKED, 0);
		SendDlgItemMessage(hSettings, IDC_CASE_SENSITIVE_RENAME, BM_SETCHECK, BST_UNCHECKED, 0);
		rename_all_files_in_folder = 0;
		rename_recurse_subfolders = 0;
		rename_new_file = 0;
		rename_case_sensitive = 0;
		SetDlgItemText(hSettings,IDC_TEXT_FILE,L"Select A Settings File");
		SetDlgItemText(hSettings,IDC_RECURSE_FOLDER,L"Select A File");
		SendDlgItemMessage(hSettings, IDC_ALL_IN_FOLDER, BM_SETCHECK, BST_UNCHECKED, 0);
		SendDlgItemMessage(hSettings, IDC_RECURSE, BM_SETCHECK, BST_UNCHECKED, 0);
		SendDlgItemMessage(hSettings, IDC_NEW_FILE, BM_SETCHECK, BST_UNCHECKED, 0);
		SendDlgItemMessage(hSettings, IDC_CASE_SENSITIVE, BM_SETCHECK, BST_UNCHECKED, 0);
		all_files_in_folder = 0;
		recurse_subfolders = 0;
		new_file = 0;
		case_sensitive = 0;
		SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME2, BM_SETCHECK, BST_CHECKED, 0);
		SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME, BM_SETCHECK, BST_UNCHECKED, 0);
		rename_or_place = 0;
	}

	RegCloseKey(hk);
	if (debugging == 1) Debug << L" all_files_in_folder " << all_files_in_folder << L" recurse_subfolders " << recurse_subfolders << L" new_file " << new_file << L" case_sensitive " << case_sensitive << endl;
	if (debugging == 1) Debug << L"LoadSettings Completed" << endl;
	LoadExtensionList(hExtensions);
	SetDialogSettings(Replace_or_Rename);

    for (int j = 0;j < 300;j++) {
		for(int Step = 0;Step < 2;Step++) {
			StringsArray[j][Step] = L"Not Being Used";
		}
	}

	return 0;
}

BOOL SaveExtensionList(HWND hExtensions)
{
	wstring Registry_Key = L"Replace\\ProgramSettings\\";

	DWORD dwDisp;

	RegCreateKeyEx(HKEY_CURRENT_USER, Registry_Key.c_str(), 0, NULL, REG_OPTION_NON_VOLATILE, KEY_WRITE, NULL, &hk, &dwDisp);

	wchar_t filename1[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION,filename1,255);
	RegSetValueEx(hk, L"Extention 1",  0, REG_SZ, (LPBYTE)filename1, 255);

	wchar_t filename2[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION2,filename2,255);
	RegSetValueEx(hk, L"Extention 2",  0, REG_SZ, (LPBYTE)filename2, 255);

	wchar_t filename3[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION3,filename3,255);
	RegSetValueEx(hk, L"Extention 3",  0, REG_SZ, (LPBYTE)filename3, 255);

	wchar_t filename4[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION4,filename4,255);
	RegSetValueEx(hk, L"Extention 4",  0, REG_SZ, (LPBYTE)filename4, 255);

	wchar_t filename5[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION5,filename5,255);
	RegSetValueEx(hk, L"Extention 5",  0, REG_SZ, (LPBYTE)filename5, 255);

	wchar_t filename6[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION6,filename6,255);
	RegSetValueEx(hk, L"Extention 6",  0, REG_SZ, (LPBYTE)filename6, 255);

	wchar_t filename7[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION7,filename7,255);
	RegSetValueEx(hk, L"Extention 7",  0, REG_SZ, (LPBYTE)filename7, 255);

	wchar_t filename8[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION8,filename8,255);
	RegSetValueEx(hk, L"Extention 8",  0, REG_SZ, (LPBYTE)filename8, 255);

	wchar_t filename9[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION9,filename9,255);
	RegSetValueEx(hk, L"Extention 9",  0, REG_SZ, (LPBYTE)filename9, 255);

	wchar_t filename10[255];
	GetDlgItemText(hExtensions,IDC_EXTENSION10,filename10,255);
	RegSetValueEx(hk, L"Extention 10",  0, REG_SZ, (LPBYTE)filename10, 255);

	RegCloseKey(hk);

   return 1;
}

void LoadExtensionList(HWND hExtensions)
{
	wstring Registry_Key = L"Replace\\ProgramSettings\\";
	DWORD String_Registry = REG_SZ;

	int check = RegOpenKeyEx(HKEY_CURRENT_USER, Registry_Key.c_str(), 0, KEY_QUERY_VALUE, &hk);

	if (check == 0) {
		wchar_t StrExtention1[255];
		DWORD DWStrExtention1 = sizeof(StrExtention1);
		RegQueryValueEx(hk, L"Extention 1", NULL, &String_Registry, (LPBYTE)StrExtention1, &DWStrExtention1);
		SetDlgItemText(hExtensions,IDC_EXTENSION,StrExtention1);
		Ext1 = wchar_t2wstr(StrExtention1);

		wchar_t StrExtention2[255];
		DWORD DWStrExtention2 = sizeof(StrExtention2);
		RegQueryValueEx(hk, L"Extention 2", NULL, &String_Registry, (LPBYTE)StrExtention2, &DWStrExtention2);
		SetDlgItemText(hExtensions,IDC_EXTENSION2,StrExtention2);
		Ext2 = wchar_t2wstr(StrExtention2);

		wchar_t StrExtention3[255];
		DWORD DWStrExtention3 = sizeof(StrExtention3);
		RegQueryValueEx(hk, L"Extention 3", NULL, &String_Registry, (LPBYTE)StrExtention3, &DWStrExtention3);
		SetDlgItemText(hExtensions,IDC_EXTENSION3,StrExtention3);
		Ext3 = wchar_t2wstr(StrExtention3);

		wchar_t StrExtention4[255];
		DWORD DWStrExtention4 = sizeof(StrExtention4);
		RegQueryValueEx(hk, L"Extention 4", NULL, &String_Registry, (LPBYTE)StrExtention4, &DWStrExtention4);
		SetDlgItemText(hExtensions,IDC_EXTENSION4,StrExtention4);
		Ext4 = wchar_t2wstr(StrExtention4);

		wchar_t StrExtention5[255];
		DWORD DWStrExtention5 = sizeof(StrExtention5);
		RegQueryValueEx(hk, L"Extention 5", NULL, &String_Registry, (LPBYTE)StrExtention5, &DWStrExtention5);
		SetDlgItemText(hExtensions,IDC_EXTENSION5,StrExtention5);
		Ext5 = wchar_t2wstr(StrExtention5);

		wchar_t StrExtention6[255];
		DWORD DWStrExtention6 = sizeof(StrExtention6);
		RegQueryValueEx(hk, L"Extention 6", NULL, &String_Registry, (LPBYTE)StrExtention6, &DWStrExtention6);
		SetDlgItemText(hExtensions,IDC_EXTENSION6,StrExtention6);
		Ext6 = wchar_t2wstr(StrExtention6);

		wchar_t StrExtention7[255];
		DWORD DWStrExtention7 = sizeof(StrExtention7);
		RegQueryValueEx(hk, L"Extention 7", NULL, &String_Registry, (LPBYTE)StrExtention7, &DWStrExtention7);
		SetDlgItemText(hExtensions,IDC_EXTENSION7,StrExtention7);
		Ext7 = wchar_t2wstr(StrExtention7);

		wchar_t StrExtention8[255];
		DWORD DWStrExtention8 = sizeof(StrExtention8);
		RegQueryValueEx(hk, L"Extention 8", NULL, &String_Registry, (LPBYTE)StrExtention8, &DWStrExtention8);
		SetDlgItemText(hExtensions,IDC_EXTENSION8,StrExtention8);
		Ext8 = wchar_t2wstr(StrExtention8);

		wchar_t StrExtention9[255];
		DWORD DWStrExtention9 = sizeof(StrExtention9);
		RegQueryValueEx(hk, L"Extention 9", NULL, &String_Registry, (LPBYTE)StrExtention9, &DWStrExtention9);
		SetDlgItemText(hExtensions,IDC_EXTENSION9,StrExtention9);
		Ext9 = wchar_t2wstr(StrExtention9);

		wchar_t StrExtention10[255];
		DWORD DWStrExtention10 = sizeof(StrExtention10);
		RegQueryValueEx(hk, L"Extention 10", NULL, &String_Registry, (LPBYTE)StrExtention10, &DWStrExtention10);
		SetDlgItemText(hExtensions,IDC_EXTENSION10,StrExtention10);
		Ext10 = wchar_t2wstr(StrExtention10);
		
	} else {
		SetDlgItemText(hExtensions,IDC_EXTENSION,L"None");
	    SetDlgItemText(hExtensions,IDC_EXTENSION2,L"None");
		SetDlgItemText(hExtensions,IDC_EXTENSION3,L"None");
		SetDlgItemText(hExtensions,IDC_EXTENSION4,L"None");
		SetDlgItemText(hExtensions,IDC_EXTENSION5,L"None");
		SetDlgItemText(hExtensions,IDC_EXTENSION6,L"None");
		SetDlgItemText(hExtensions,IDC_EXTENSION7,L"None");
		SetDlgItemText(hExtensions,IDC_EXTENSION8,L"None");
		SetDlgItemText(hExtensions,IDC_EXTENSION9,L"None");
		SetDlgItemText(hExtensions,IDC_EXTENSION10,L".txt");
	}

	RegCloseKey(hk);
}

void LoadValues(  )
{
	if (debugging == 1) Debug << L"LoadReplaceValues Fired" << endl;
	wstring Registry_Key = L"Replace\\ProgramSettings\\";


	wchar_t StrSaveFileName[255],StrLoadFileName[255];

	DWORD String_Registry = REG_SZ;
	DWORD DWFileSize = 255;

	if (debugging == 1) Debug << L"LoadReplaceValues Before reg" << endl;
	int check = RegOpenKeyEx(HKEY_CURRENT_USER, Registry_Key.c_str(), 0, KEY_QUERY_VALUE, &hk);
	if (debugging == 1) Debug << L"LoadReplaceValues After reg" << endl;
	if (check == 0) {
		if (debugging == 1) Debug << L"LoadReplaceValues reg good" << endl;

		RegQueryValueEx(hk, L"Settings Text File Save Name Replace", NULL, &String_Registry, (LPBYTE)StrSaveFileName, &DWFileSize);
		SetDlgItemText(hReplaceList,IDC_SAVE_REPLACE_VALUES_TO_FILE,StrSaveFileName);

		RegQueryValueEx(hk, L"Settings Text File Load Name Replace", NULL, &String_Registry, (LPBYTE)StrLoadFileName, &DWFileSize);
		SetDlgItemText(hReplaceList,IDC_LOAD_REPLACE_VALUES_FROM,StrLoadFileName);
	} else {
		SetDlgItemText(hReplaceList,IDC_SAVE_REPLACE_VALUES_TO_FILE,L"Save Settings File As...");
		SetDlgItemText(hReplaceList,IDC_LOAD_REPLACE_VALUES_FROM,L"Load Settings File From...");
	}
}

void SaveValues(  )
{
	if (debugging == 1) Debug << L"SaveRenameValues Fired" << endl;
	wstring Registry_Key = L"Replace\\ProgramSettings\\";

	DWORD dwDisp;

	int check = RegCreateKeyEx(HKEY_CURRENT_USER, Registry_Key.c_str(), 0, NULL, REG_OPTION_NON_VOLATILE, KEY_WRITE, NULL, &hk, &dwDisp);

	if (check == 0) 
	{
		if (debugging == 1) Debug << L"SaveRenameValues reg checked good" << endl;

		wchar_t SaveFileName[255];
		GetDlgItemText(hReplaceList,IDC_SAVE_REPLACE_VALUES_TO_FILE,SaveFileName, 255);
		RegSetValueEx(hk, L"Settings Text File Save Name Replace",  0, REG_SZ, (LPBYTE)SaveFileName, 255);

		wchar_t LoadFileName[255];
		GetDlgItemText(hReplaceList,IDC_LOAD_REPLACE_VALUES_FROM,LoadFileName, 255);
		RegSetValueEx(hk, L"Settings Text File Load Name Replace",  0, REG_SZ, (LPBYTE)LoadFileName, 255);

	}
}

int SetDialogSettings(int Replace_or_Rename)
{
	SetDialogSettingsSpecific(Replace_or_Rename);

	return 1;
}

int SetDialogSettingsSpecific(int Replace_or_Rename)
{
	HWND ALL_IN_FOLDER = GetDlgItem(hSettings, IDC_ALL_IN_FOLDER);
	HWND RECURSE = GetDlgItem(hSettings, IDC_RECURSE);
	HWND RECURSE_FOLDER = GetDlgItem(hSettings, IDC_RECURSE_FOLDER);
	HWND NEW_FILE = GetDlgItem(hSettings, IDC_NEW_FILE);
	HWND CASE_SENSITIVE = GetDlgItem(hSettings, IDC_CASE_SENSITIVE);
	HWND EXTENSION_LIST = GetDlgItem(hSettings, IDC_EXTENSION_LIST);
	HWND FOLDER_BUTTON2 = GetDlgItem(hSettings, IDC_FOLDER_BUTTON2);
	HWND REPLACE_STRING = GetDlgItem(hSettings, IDC_REPLACE_STRING);
	HWND REPLACE_IN_FILES = GetDlgItem(hSettings, IDC_REPLACE_IN_FILES);
	HWND REPLACE_STATIC = GetDlgItem(hSettings, IDC_REPLACE_STATIC);

	HWND RENAME_STRING = GetDlgItem(hSettings, IDC_RENAME_STRINGS);
	HWND RENAME_FOLDER_BROWSE = GetDlgItem(hSettings, IDC_RENAME_FOLDER_BROWSE);
	HWND ALL_IN_FOLDER_RENAME = GetDlgItem(hSettings, IDC_ALL_IN_FOLDER_RENAME);
	HWND RECURSE_RENAME = GetDlgItem(hSettings, IDC_RECURSE_RENAME);
	HWND CASE_SENSITIVE_RENAME = GetDlgItem(hSettings, IDC_CASE_SENSITIVE_RENAME);
	HWND RENAME_FILES = GetDlgItem(hSettings, IDC_RENAME_FILES);
	HWND RENAME_FOLDER = GetDlgItem(hSettings, IDC_RENAME_FOLDER);
	HWND RENAME_STATIC = GetDlgItem(hSettings, IDC_RENAME_STATIC);
	HWND FOLDER_BUTTON = GetDlgItem(hSettings, IDC_FOLDER_BUTTON);
	if (rename_or_place) 
	{
		SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME2, BM_SETCHECK, BST_CHECKED, 0);
		EnableWindow(RENAME_STRING, TRUE);
		EnableWindow(RENAME_FOLDER_BROWSE, TRUE);
		EnableWindow(ALL_IN_FOLDER_RENAME, TRUE);
		EnableWindow(RECURSE_RENAME, TRUE);
		EnableWindow(CASE_SENSITIVE_RENAME, TRUE);
		EnableWindow(RENAME_FILES, TRUE);
		EnableWindow(RENAME_FOLDER, TRUE);
		EnableWindow(RENAME_STATIC, TRUE);

		SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME, BM_SETCHECK, BST_UNCHECKED, 0);
		EnableWindow(ALL_IN_FOLDER, FALSE);
		EnableWindow(RECURSE, FALSE);
		EnableWindow(RECURSE_FOLDER, FALSE);
		EnableWindow(NEW_FILE, FALSE);
		EnableWindow(CASE_SENSITIVE, FALSE);
		EnableWindow(EXTENSION_LIST, FALSE);
		EnableWindow(FOLDER_BUTTON2, FALSE);
		EnableWindow(REPLACE_STRING, FALSE);
		EnableWindow(REPLACE_IN_FILES, FALSE);
		EnableWindow(REPLACE_STATIC, FALSE);
		EnableWindow(FOLDER_BUTTON, FALSE);
	} else if (!rename_or_place) {
		SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME2, BM_SETCHECK, BST_UNCHECKED, 0);
		EnableWindow(RENAME_STRING, FALSE);
		EnableWindow(RENAME_FOLDER_BROWSE, FALSE);
		EnableWindow(ALL_IN_FOLDER_RENAME, FALSE);
		EnableWindow(RECURSE_RENAME, FALSE);
		EnableWindow(CASE_SENSITIVE_RENAME, FALSE);
		EnableWindow(RENAME_FILES, FALSE);
		EnableWindow(RENAME_FOLDER, FALSE);
		EnableWindow(RENAME_STATIC, FALSE);

		SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME, BM_SETCHECK, BST_CHECKED, 0);
		EnableWindow(ALL_IN_FOLDER, TRUE);
		EnableWindow(RECURSE, TRUE);
		EnableWindow(RECURSE_FOLDER, TRUE);
		EnableWindow(NEW_FILE, TRUE);
		EnableWindow(CASE_SENSITIVE, TRUE);
		EnableWindow(EXTENSION_LIST, TRUE);
		EnableWindow(FOLDER_BUTTON2, TRUE);
		EnableWindow(REPLACE_STRING, TRUE);
		EnableWindow(REPLACE_IN_FILES, TRUE);
		EnableWindow(REPLACE_STATIC, TRUE);
		EnableWindow(FOLDER_BUTTON, TRUE);
	}
	return 1;
}

int GreyDialogSettings()
{
	HWND ALL_IN_FOLDER = GetDlgItem(hSettings, IDC_ALL_IN_FOLDER);
	HWND RECURSE = GetDlgItem(hSettings, IDC_RECURSE);
	HWND RECURSE_FOLDER = GetDlgItem(hSettings, IDC_RECURSE_FOLDER);
	HWND NEW_FILE = GetDlgItem(hSettings, IDC_NEW_FILE);
	HWND CASE_SENSITIVE = GetDlgItem(hSettings, IDC_CASE_SENSITIVE);
	HWND EXTENSION_LIST = GetDlgItem(hSettings, IDC_EXTENSION_LIST);
	HWND FOLDER_BUTTON2 = GetDlgItem(hSettings, IDC_FOLDER_BUTTON2);
	HWND REPLACE_STRING = GetDlgItem(hSettings, IDC_REPLACE_STRING);
	HWND REPLACE_IN_FILES = GetDlgItem(hSettings, IDC_REPLACE_IN_FILES);
	HWND REPLACE_STATIC = GetDlgItem(hSettings, IDC_REPLACE_STATIC);

	HWND RENAME_STRING = GetDlgItem(hSettings, IDC_RENAME_STRINGS);
	HWND RENAME_FOLDER_BROWSE = GetDlgItem(hSettings, IDC_RENAME_FOLDER_BROWSE);
	HWND ALL_IN_FOLDER_RENAME = GetDlgItem(hSettings, IDC_ALL_IN_FOLDER_RENAME);
	HWND RECURSE_RENAME = GetDlgItem(hSettings, IDC_RECURSE_RENAME);
	HWND CASE_SENSITIVE_RENAME = GetDlgItem(hSettings, IDC_CASE_SENSITIVE_RENAME);
	HWND RENAME_FILES = GetDlgItem(hSettings, IDC_RENAME_FILES);
	HWND RENAME_FOLDER = GetDlgItem(hSettings, IDC_RENAME_FOLDER);
	HWND RENAME_STATIC = GetDlgItem(hSettings, IDC_RENAME_STATIC);
	HWND FOLDER_BUTTON = GetDlgItem(hSettings, IDC_FOLDER_BUTTON);

	//SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME2, BM_SETCHECK, BST_UNCHECKED, 0);
	EnableWindow(RENAME_STRING, FALSE);
	EnableWindow(RENAME_FOLDER_BROWSE, FALSE);
	EnableWindow(ALL_IN_FOLDER_RENAME, FALSE);
	EnableWindow(RECURSE_RENAME, FALSE);
	EnableWindow(CASE_SENSITIVE_RENAME, FALSE);
	EnableWindow(RENAME_FILES, FALSE);
	EnableWindow(RENAME_FOLDER, FALSE);
	EnableWindow(RENAME_STATIC, FALSE);
	EnableWindow(FOLDER_BUTTON, FALSE);

	//SendDlgItemMessage(hSettings, IDC_REPLACE_OR_RENAME, BM_SETCHECK, BST_UNCHECKED, 0);
	EnableWindow(ALL_IN_FOLDER, FALSE);
	EnableWindow(RECURSE, FALSE);
	EnableWindow(RECURSE_FOLDER, FALSE);
	EnableWindow(NEW_FILE, FALSE);
	EnableWindow(CASE_SENSITIVE, FALSE);
	EnableWindow(EXTENSION_LIST, FALSE);
	EnableWindow(FOLDER_BUTTON2, FALSE);
	EnableWindow(REPLACE_STRING, FALSE);
	EnableWindow(REPLACE_IN_FILES, FALSE);
	EnableWindow(REPLACE_STATIC, FALSE);

	return 1;
}